<?xml version="1.0" encoding="utf-8"?>
<customUI xmlns="http://schemas.microsoft.com/office/2006/01/customui">
	<ribbon>
	<tabs>
	<tab id="HT03_NPAV" label="Концепт.НПА">
	<group id="Data" label="Данные">
		<button id="SetDatabase" size="large"
			label="Выбрать базу"
			supertip="Указать файл базы данных Реестра"
			imageMso="DatabaseCopyDatabaseFile"
			onAction="HT03_ViewRibbon"/>
		<button id="Update" size="large"
			label="Обновить"
			supertip="Загрузить данные из Реестра"
			imageMso="ToggleRecurrence"
			onAction="HT03_ViewRibbon"/>
		<button id="ExportData" size="large"
			label="Выгрузить данные"
			supertip="Выгрузить данные Реестра для визуализации"
			imageMso="ExportExcel"
			onAction="HT03_ViewRibbon"/>
		<button id="AddLaw" size="large" 
			label="Добавить документ"
			supertip="Предложить документ к добавлению в Реестр"
			imageMso="AddToolGallery"
			onAction="HT03_ViewRibbon"/>
		<button id="OpenLawsLocation" size="large"
			label="Открыть тексты"
			supertip="Открыть каталог с файлами НПА"
			imageMso="BrowseBackgroundImage"
			onAction="HT03_ViewRibbon"/>
	</group>
	
	<group id="Query" label="Запросы">
		<dropDown id="QDocSource" sizeString="WWWWWWW"
			label = "Документы"
			getSelectedItemIndex="OnDefaultDocSource"
			onAction ="OnSourceChange">
			<item id="Doc1" label="выделенные"/>
			<item id="Doc2" label="видимые"/>
			<item id="Doc3" label="по ID"/>
		</dropDown>
		<dropDown id="QLinkType" sizeString="WWWWWWW"
			label = "Тип связи"
			getSelectedItemIndex="OnDefaultLinkType"
			onAction ="OnLinkTypeChange">
			<item id="Type1" label="все"/>
			<item id="Type2" label="обоснование"/>
			<item id="Type3" label="конкретизация"/>
			<item id="Type4" label="аспектирование"/>
			<item id="Type5" label="необработанная"/>
		</dropDown>
		<dropDown id="QLinkDirection" sizeString="WWWWWWW"
			label = "Направление"
			getSelectedItemIndex="OnDefaultLinkDirection"
			onAction ="OnLinkDirectionChange">
			<item id="Dir1" label="прямое"/>
			<item id="Dir2" label="обратное"/>
			<item id="Dir3" label="двустороннее"/>
		</dropDown>
		
		<button id="QueryLawsVisible"
			label="Документы: видимые"
			supertip="Запрос видимых документов в соответствии с текущими фильтрами"
			imageMso="VisibilityVisible"
			onAction="HT03_ViewRibbon"/>
		<button id="QueryLawsOnce"
			label="Документы: шаг"
			supertip="Запрос документов по графу связей путем единичного перехода в соответствии с выбранными параметрами"
			imageMso="MacroSingleStep"
			onAction="HT03_ViewRibbon"/>
		<button id="QueryLawsFull"
			label="Документы: все"
			supertip="Запрос документов по графу связей путем полного обхода в соответствии с выбранными параметрами"
			imageMso="GroupListViewToolbar"
			onAction="HT03_ViewRibbon"/>
		
		<button id="QueryLinksVisible"
			label="Связи: видимые"
			supertip="Запрос видимых связей в соответствии с текущими фильтрами"
			imageMso="VisioHyperlinkInsert"
			onAction="HT03_ViewRibbon"/>
		<button id="QueryLinksLaw"
			label="Связи: доки"
			supertip="Запрос связей в соответствии с выбранными параметрами"
			imageMso="ImportHtmlDocument"
			onAction="HT03_ViewRibbon"/>
		<button id="QueryLinksInternal"
			label="Связи: внутри"
			supertip="Запрос связей между выбранными документами в соответствии с параметрами"
			imageMso="StartOfLine"
			onAction="HT03_ViewRibbon"/>
			
		<button id="LoadLinkText" size="large" 
			label="Тексты ссылок"
			supertip="Загрузить тексты ссылок для отобранных связей"
			imageMso="DownloadContents"
			onAction="HT03_ViewRibbon"/>
	</group>
	
	<group id="Misc" label="Дополнительно">
		<button id="Unstuck" size="large"
			label="Восстановить"
			supertip="Включить интерфейс, отключенный в результате некорректного завершения макроса"
			imageMso="GroupListManage"
			onAction="HT03_ViewRibbon"/>
		<button id="Help" size="large"
			label="Справка"
			supertip="Вызов справки"
			imageMso="Info"
			onAction="HT03_ViewRibbon"/>
	</group>
	</tab>
	</tabs>
	</ribbon>
</customUI>